/*
 * @FilePath: \wang-vue-worke:\demo\daping\src\shims-vue.d.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-01-29 15:16:36
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
/* eslint-disable */
declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  const component: DefineComponent<{}, {}, any>
  export default component
}

// 对vue进行类型补充说明
import { ComponentCustomProperties } from 'vue'
declare module '@vue/runtime-core' {
  interface ComponentCustomProperties {
    tLang: any
  }
}
declare module '@dataview/datav-vue3'
declare module '@jiaminghi/data-view'
declare module '*.json'{
  const jsondata: any;
  export default jsondata;
}
declare module './utils/echarts.js' {
  const echarts: any
  export default echarts
}
// declare module "*.vue" {
// 	import { defineComponent } from "vue";
// 	const Component: ReturnType<typeof defineComponent>;
// 	export default Component;
// }

declare module "vue-i18n"
declare module "vue-echarts"

/*
 * @FilePath: \daping\src\utils\echarts.d.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-01-30 11:37:13
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { ComposeOption } from 'echarts/core';
import {
    BarSeriesOption,
    LineSeriesOption,
    GaugeSeriesOption,
    CustomSeriesOption,
    PieSeriesOption,
    MapSeriesOption
} from 'echarts/charts';
//2.引入组件，也就是option选项中的类型
// import {LiquidfillChart,
//     LiquidfillSeriesOption,} from 'echarts-liquidfill'
import {
    // 组件类型的定义后缀都为 ComponentOption
    TitleComponentOption,
    TooltipComponentOption,
    GridComponentOption,
    // 数据集组件
    DatasetComponentOption,
    MarkLineComponentOption,
} from 'echarts/components';
  
// 3.通过 ComposeOption 来组合出一个只有必须组件和图表的 Option 类型
type ECOption = ComposeOption<
    | BarSeriesOption
    | LineSeriesOption
    | GaugeSeriesOption
    | PieSeriesOption
    | MapSeriesOption
    | CustomSeriesOption
    // | LiquidfillSeriesOption
    | TitleComponentOption
    | TooltipComponentOption
    | GridComponentOption
    | DatasetComponentOption
    | MarkLineComponentOption
>;
// 4.将这个类型暴露出去
export { ECOption }