/*
 * @FilePath: \wwwd:\code\screenFront\src\store\module\energyConsume.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-06 15:58:13
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { defineStore } from "pinia";
import { Names } from '@/store/storeName'
export const useGermanyExhibition = defineStore(Names.GermanyExhibition, {
    state: () => {
        return {
            cfytj: {
                "id": "5f4000d0-bb4d-11ee-bf45-cf357b830191",
                "label": "1171210",
                "name": "冲缝一体机",
                "brokenLineCount": null,
                "currentCount": null,
                "workTime": "0.0",
                "patternCount": null,
                "activation": "0.0",
                "planProduction": 100,
                "production": 0,
                "fileName": null,
                "workingState": 0,
                "speed": 0,
            },
            gyfrj: {
                "id": "8263ab70-bb4d-11ee-bf45-cf357b830191",
                "name": "工业缝纫机",
                "label": "RP2401009",
                "activation": "0.2",
                "workTime": "0.06",
                "planProduction": 100,
                "production": 0,
                "in2Count": 2,
                "in3Count": 4,
                "in4Count": 15,
                "consumption": 0,
                "workingState": 0,
                "speed": 0,
            },
            lq: {
                "id": "78f01000-b8c9-11ee-bf45-cf357b830191",
                "label": "104019564",
                "name": "立切机180双喷机",
                "brokenLineCount": null,
                "currentCount": null,
                "workTime": "0.0",
                "patternCount": null,
                "activation": "0.0",
                "planProduction": 0,
                "production": 0,
                "fileName": null,
                "workingState": 0
            }
        }
    },
    getters: {

    },
    actions: {
        set_cfytj(data: any) {
            this.cfytj = data
        },
        set_gyfrj(data: any) {
            this.gyfrj = data
        },
        set_lq(data: any) {
            this.lq = data
        }
    }
})